summaryrefslogtreecommitdiff
path: root/debian/boxbackup-server.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/boxbackup-server.init')
-rw-r--r--debian/boxbackup-server.init82
1 files changed, 82 insertions, 0 deletions
diff --git a/debian/boxbackup-server.init b/debian/boxbackup-server.init
new file mode 100644
index 00000000..027edc41
--- /dev/null
+++ b/debian/boxbackup-server.init
@@ -0,0 +1,82 @@
+#! /bin/sh
+#
+### BEGIN INIT INFO
+# Provides: boxbackup-server
+# Required-Start: $syslog $remote_fs $network
+# Required-Stop: $syslog $remote_fs $network
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: boxbackup server
+# Description: Init script to start and stop the boxbackup server
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/bbstored
+NAME=bbstored
+DESC=boxbackup-server
+CONF=/etc/boxbackup/bbstored.conf
+
+test -f $DAEMON || exit 0
+
+test -f $CONF || exit 0
+
+PIDFILE=`grep 'PidFile' $CONF | sed 's/[[:space:]]*PidFile[[:space:]]*=[[:space:]]*\(\/[A-Za-z0-9/]*\)/\1/'`
+CERTFILE=`grep 'CertificateFile' $CONF | sed 's/[[:space:]]*CertificateFile[[:space:]]*=[[:space:]]*\(\/[A-Za-z0-9/]*\)/\1/'`
+
+[ -z $PIDFILE ] && PIDFILE="/var/run/bbstored.pid"
+
+# Don't start if certificate file is not present
+[ ! -e $CERTFILE ] && exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile $PIDFILE \
+ --exec $DAEMON -- $CONF
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ # /var/run/$NAME.pid --exec $DAEMON
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --oknodo --stop --quiet --pidfile \
+ $PIDFILE --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile \
+ $PIDFILE --exec $DAEMON -- $CONF
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0